=== debian/changelog ===
connectome-workbench (1.1.1-1) unstable; urgency=medium

  * Fresh upstream release
    - debian/copyright was updated (upstream, thanks Timothy!) to new
      locations of 3rd-party modules

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 24 Jul 2015 17:54:00 -0400

connectome-workbench (1.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - up* patch dropped (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 10 Jul 2015 17:40:46 -0400

connectome-workbench (1.0-3) unstable; urgency=medium

  * debian/rules
    - explicitly provide -DNDEBUG for C{,XX}FLAGS to avoid building
      performance impairing debug code (Thanks upstream Timothy
      Coalson for the advisory)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 01 Nov 2014 21:07:00 -0400
